Package twisted :: Package lore :: Module lint :: Class DefaultTagChecker

[show private | hide private]
[frames | no frames]

## Class DefaultTagChecker

    TagChecker --+
                 |
                DefaultTagChecker

Method Summary
| `__init__(self, allowedTags, allowedClasses)`
| `check(self, dom, filename)` (inherited from `TagChecker`)
| `check_80_columns(self, dom, filename)`
| `check_a_py_listing(self, dom, filename)`
| `check_align(self, dom, filename)`
| `check_anchor_in_heading(self, dom, filename)`
| `check_disallowedClasses(self, dom, filename)`
| `check_disallowedElements(self, dom, filename)`
| `check_pre_py_listing(self, dom, filename)`
| `check_quote(self, dom, filename)`
| `check_style(self, dom, filename)`
| `check_styleattr(self, dom, filename)`
| `check_texturl_matches_href(self, dom, filename)`
| `check_title(self, dom, filename)`

Generated by Epydoc 1.1 on Sat Feb 15 21:17:53 2003 | http://epydoc.sf.net